org.apache.ignite.spi.systemview.view

## Class NodeAttributeView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.NodeAttributeView

    public class NodeAttributeView
    extends Object

Node attribute representation for a `SystemView`.

### Constructor Summary

Constructors
Constructor and Description
`NodeAttributeView(UUID nodeId, String name, Object val)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `name()`
`UUID` `nodeId()`
`String` `value()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeAttributeView

    public NodeAttributeView(UUID nodeId,
                             String name,
                             Object val)

Parameters:
  `nodeId` - Node id.
  `name` - Attribute name.
  `val` - Attribute value.

### Method Detail

#### nodeId

    public UUID nodeId()

Returns:
  Node id.

#### name

    public String name()

Returns:
  Attribute name.

#### value

    public String value()

Returns:
  Attribute value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023